メインコンテンツへスキップ
POST
/
terms_of_services
cURL
curl -i -X POST "https://api.box.com/2.0/terms_of_services" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "status": "enabled",
       "text": "By collaborating on this file you are accepting..."
     }'
{
  "id": "11446498",
  "type": "terms_of_service",
  "status": "enabled",
  "enterprise": {
    "id": "11446498",
    "type": "enterprise",
    "name": "Acme Inc."
  },
  "tos_type": "managed",
  "text": "By using this service, you agree to ...",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
status
enum<string>
必須

このサービス利用規約がアクティブであるかどうか。

利用可能なオプション:
enabled,
disabled
:

"enabled"

text
string
必須

ユーザーに対して表示されるサービス利用規約のテキスト。

statusdisabledに設定されている場合は、テキストを空に設定できます。

:

"By collaborating on this file you are accepting..."

tos_type
enum<string>

サービス利用規約を設定するユーザーのタイプ。

利用可能なオプション:
external,
managed
:

"managed"

レスポンス

新しいタスクオブジェクトを返します。

1つのサービス利用規約に該当するとみなされるルートレベルのレコード。

id
string
必須

このサービス利用規約の一意の識別子。

:

"11446498"

type
enum<string>
必須

値は常にterms_of_serviceになります。

利用可能なオプション:
terms_of_service
:

"terms_of_service"

status
enum<string>

これらの利用規約が有効になっているかどうか。

利用可能なオプション:
enabled,
disabled
:

"enabled"

enterprise
Enterprise · object

これらの利用規約が適用される企業。

tos_type
enum<string>

これらの利用規約を管理対象ユーザーに適用するか、外部ユーザーに適用するか。

利用可能なオプション:
managed,
external
:

"managed"

text
string

利用規約のテキスト。statusdisabledに設定されている場合は、このテキストが空になることがあります。

:

"By using this service, you agree to ..."

created_at
string<date-time>

リーガル項目が作成された日時。

:

"2012-12-12T10:53:43-08:00"

modified_at
string<date-time>

リーガル項目が変更された日時。

:

"2012-12-12T10:53:43-08:00"